﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DateTimePickerShowDecadeView
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        //You need to use the DropDownOpened event because the calendar part is not loaded 
        //till the DropDown is closed and if you try to apply the style it will throw an exception.
        private void OnDropDownOpened(object sender, RoutedEventArgs e)
        {
            var style = this.Resources["calendarStyle"] as Style;
            this.dtp.CalendarStyle = style;
        }
    }
}
